Bug 1004938 - [abrt] gjs-1.36.1-1.fc19: gtk_cell_layout_clear_attributes: Process /usr/bin/gjs-console was killed by signal 11 (SIGSEGV)
[abrt] gjs-1.36.1-1.fc19: gtk_cell_layout_clear_attributes: Process /usr/bin/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:7f75aa5b24f584a9009d64bbcec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 15:27 EDT by menzinoah
Modified: 2015-06-29 08:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.56 KB, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: cgroup (158 bytes, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: core_backtrace (68.31 KB, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: dso_list (38.24 KB, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: environ (1.52 KB, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: maps (100.86 KB, text/plain)
2013-09-05 15:27 EDT, menzinoah
no flags Details
File: open_fds (2.12 KB, text/plain)
2013-09-05 15:28 EDT, menzinoah
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-09-05 15:28 EDT, menzinoah
no flags Details
File: var_log_messages (658 bytes, text/plain)
2013-09-05 15:28 EDT, menzinoah
no flags Details

  None (edit)
Description menzinoah 2013-09-05 15:27:13 EDT
Description of problem:
I opened "Documents".  While "Your Documents are being indexed" this error happened.

Version-Release number of selected component:
gjs-1.36.1-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();'
crash_function: gtk_cell_layout_clear_attributes
executable:     /usr/bin/gjs-console
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_cell_layout_clear_attributes at /lib64/libgtk-3.so.0
 #1 set_attributes_from_model at /usr/lib64/gnome-documents/libgd.so
 #2 g_closure_invoke at /lib64/libgobject-2.0.so.0
 #3 signal_emit_unlocked_R at /lib64/libgobject-2.0.so.0
 #4 g_signal_emit_valist at /lib64/libgobject-2.0.so.0
 #5 g_signal_emit at /lib64/libgobject-2.0.so.0
 #6 g_object_dispatch_properties_changed at /lib64/libgobject-2.0.so.0
 #7 g_object_notify at /lib64/libgobject-2.0.so.0
 #8 gtk_icon_view_set_model at /lib64/libgtk-3.so.0
 #9 gtk_icon_view_destroy at /lib64/libgtk-3.so.0
Comment 1 menzinoah 2013-09-05 15:27:18 EDT
Created attachment 794450 [details]
File: backtrace
Comment 2 menzinoah 2013-09-05 15:27:22 EDT
Created attachment 794451 [details]
File: cgroup
Comment 3 menzinoah 2013-09-05 15:27:29 EDT
Created attachment 794452 [details]
File: core_backtrace
Comment 4 menzinoah 2013-09-05 15:27:38 EDT
Created attachment 794453 [details]
File: dso_list
Comment 5 menzinoah 2013-09-05 15:27:42 EDT
Created attachment 794454 [details]
File: environ
Comment 6 menzinoah 2013-09-05 15:27:46 EDT
Created attachment 794455 [details]
File: exploitable
Comment 7 menzinoah 2013-09-05 15:27:51 EDT
Created attachment 794456 [details]
File: limits
Comment 8 menzinoah 2013-09-05 15:27:57 EDT
Created attachment 794457 [details]
File: maps
Comment 9 menzinoah 2013-09-05 15:28:01 EDT
Created attachment 794458 [details]
File: open_fds
Comment 10 menzinoah 2013-09-05 15:28:05 EDT
Created attachment 794459 [details]
File: proc_pid_status
Comment 11 menzinoah 2013-09-05 15:28:09 EDT
Created attachment 794460 [details]
File: var_log_messages
Comment 12 Matthias Clasen 2013-09-10 18:38:38 EDT
This was fixed upstream in https://git.gnome.org/browse/libgd/commit/?id=62f9b8b92599b38d986bd26d5780edd400d318c9
Comment 13 Fedora End Of Life 2015-05-29 05:22:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:20:04 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.